### Hierarchy

- EventTarget
  - RTCDataChannel

## Index

### Properties

- EventTarget
- binaryType
- bufferedAmount
- bufferedAmountLowThreshold
- id
- label
- maxPacketLifeTime
- maxRetransmits
- negotiated
- onbufferedamountlow
- onclose
- onerror
- onmessage
- onopen
- ordered
- priority
- protocol
- readyState

### Methods

- addEventListener
- close
- dispatchEvent
- removeEventListener
- send

## Properties

### EventTarget

EventTarget: object

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5081

#### Type declaration

- ##### constructor: function

  - new __type(): EventTarget
  - - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5082

    #### Returns EventTarget

- ##### prototype: EventTarget

### binaryType

binaryType: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11342

### bufferedAmount

bufferedAmount: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11343

### bufferedAmountLowThreshold

bufferedAmountLowThreshold: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11344

### id

id: number | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11345

### label

label: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11346

### maxPacketLifeTime

maxPacketLifeTime: number | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11347

### maxRetransmits

maxRetransmits: number | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11348

### negotiated

negotiated: boolean

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11349

### onbufferedamountlow

onbufferedamountlow: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11350

### onclose

onclose: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11351

### onerror

onerror: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11352

### onmessage

onmessage: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11353

### onopen

onopen: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11354

### ordered

ordered: boolean

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11355

### priority

priority: RTCPriorityType

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11356

### protocol

protocol: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11357

### readyState

readyState: RTCDataChannelState

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11358

## Methods

### addEventListener

- addEventListener<K>(type: K, listener: function, options?: boolean | AddEventListenerOptions): void
- addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void

- Overrides EventTarget.addEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11364

  #### Type parameters

  - #### K: keyof RTCDataChannelEventMap

  #### Parameters

  - ##### type: K

  - ##### listener: function

    - - (this: RTCDataChannel, ev: RTCDataChannelEventMap[K]): any

      - #### Parameters

        - ##### this: RTCDataChannel

        - ##### ev: RTCDataChannelEventMap[K]

        #### Returns any

  - ##### Optional options: boolean | AddEventListenerOptions

  #### Returns void

- Overrides EventTarget.addEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11365

  #### Parameters

  - ##### type: string

  - ##### listener: EventListenerOrEventListenerObject

  - ##### Optional options: boolean | AddEventListenerOptions

  #### Returns void

### close

- close(): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11359

  #### Returns void

### dispatchEvent

- dispatchEvent(event: Event): boolean

- Inherited from EventTarget.dispatchEvent

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5074

  Dispatches a synthetic event event to target and returns true if either event's cancelable attribute value is false or its preventDefault() method was not invoked, and false otherwise.

  #### Parameters

  - ##### event: Event

  #### Returns boolean

### removeEventListener

- removeEventListener<K>(type: K, listener: function, options?: boolean | EventListenerOptions): void
- removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void

- Overrides EventTarget.removeEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11366

  #### Type parameters

  - #### K: keyof RTCDataChannelEventMap

  #### Parameters

  - ##### type: K

  - ##### listener: function

    - - (this: RTCDataChannel, ev: RTCDataChannelEventMap[K]): any

      - #### Parameters

        - ##### this: RTCDataChannel

        - ##### ev: RTCDataChannelEventMap[K]

        #### Returns any

  - ##### Optional options: boolean | EventListenerOptions

  #### Returns void

- Overrides EventTarget.removeEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11367

  #### Parameters

  - ##### type: string

  - ##### listener: EventListenerOrEventListenerObject

  - ##### Optional options: boolean | EventListenerOptions

  #### Returns void

### send

- send(data: string): void
- send(data: Blob): void
- send(data: ArrayBuffer): void
- send(data: ArrayBufferView): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11360

  #### Parameters

  - ##### data: string

  #### Returns void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11361

  #### Parameters

  - ##### data: Blob

  #### Returns void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11362

  #### Parameters

  - ##### data: ArrayBuffer

  #### Returns void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11363

  #### Parameters

  - ##### data: ArrayBufferView

  #### Returns void

Generated using TypeDoc